# Impact

Utilities to help you understand the impact of various components in sfp

* [`sfp impact apex`](#sfp-impact-apex)
* [`sfp impact package`](#sfp-impact-package)
* [`sfp impact releaseconfig`](#sfp-impact-releaseconfig)

## `sfp impact apex`

```
USAGE
  $ sfp impact apex [--json]

GLOBAL FLAGS
  --json  Format output as json.
```

*See code:* [*src/commands/impact/apex.ts*](https://source.flxbl.io/flxbl/sfp-pro)

## `sfp impact package`

Figures out impacted packages of a project, due to a change from the last known tags

```
USAGE
  $ sfp impact package --basebranch <value> [--json] [--loglevel
    trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL]

FLAGS
  --basebranch=<value>  (required) The base branch on which the git tags should be used
  --loglevel=<option>   [default: info] logging level for this command invocation
                        <options: trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL>

GLOBAL FLAGS
  --json  Format output as json.

DESCRIPTION
  Figures out impacted packages of a project, due to a change from the last known tags
```

*See code:* [*src/commands/impact/package.ts*](https://source.flxbl.io/flxbl/sfp-pro)

## `sfp impact releaseconfig`

Figures out impacted release configurations of a project, due to a change,from the last known tags

```
USAGE
  $ sfp impact releaseconfig --basebranch <value> [--json] [--loglevel
    trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL] [--branch <value>] [--directory <value>]
    [--explicitDependencyCheck] [--filterBy <value>] [--filterByChangesInBranch]

FLAGS
  --basebranch=<value>       (required) The base branch on which the git tags should be used from
  --branch=<value>           The branch on which the comparison is carried out
  --directory=<value>        [default: config] Path to the directory containing release defns
  --explicitDependencyCheck  Activate to consider dependencyOn attribut while handling impact
  --filterBy=<value>         Filter by a specific release config name
  --filterByChangesInBranch  Filter packages by changes with the provided branches as opposed to tags
  --loglevel=<option>        [default: info] logging level for this command invocation
                             <options: trace|debug|info|warn|error|fatal|TRACE|DEBUG|INFO|WARN|ERROR|FATAL>

GLOBAL FLAGS
  --json  Format output as json.

DESCRIPTION
  Figures out impacted release configurations of a project, due to a change,from the last known tags
```

*See code:* [*src/commands/impact/releaseconfig.ts*](https://source.flxbl.io/flxbl/sfp-pro)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flxbl.io/flxbl/sfp/sfp-community/cli-reference-v50-and-below/advanced/impact.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
